
Ryzom - Bug # 1454

Status: Rejected Priority: Normal
Author: thannatos Category: OS: GNU/Linux
Created: 03/31/2012 Assignee:
Updated: 04/14/2012 Due date:
Subject: Ryzom crash
Description

Ryzom crash and makes the X server also crash.

Linux precise 3.2.0-21-generic-pae #34-Ubuntu SMP Thu Mar 29 22:33:16 UTC 2012 i686 i686 i386 GNU/Linux

Distributor ID:    Ubuntu
Description:    Ubuntu precise (development branch)
Release:    12.04
Codename:    precise

sudo lshw -C display
  *-display               
       description: VGA compatible controller
       product: GF104 [GeForce GTX 460]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nouveau latency=0
       resources: irq:16 memory:f8000000-f9ffffff memory:e8000000-efffffff memory:f0000000-f3ffffff ioport:e000(size=128)
memory:fa000000-fa07ffff

History
#1 - 03/31/2012 11:42 am - molator

Did you update the data using the update script ?

#2 - 03/31/2012 11:45 am - thannatos

Yes, Ryzom is automatically updated on each start. My launcher :

#!/bin/bash
RYZOMPATH=$(dirname $0)
cd $RYZOMPATH
./ryzom_update.sh
nohup ./ryzom_client &>/dev/null &
exit 0
#3 - 03/31/2012 03:39 pm - kervala

Please what client are you using ?

The static official one, the one in the Ubuntu Software Center, from one of my PPA or did you compile it yourself ?

#4 - 03/31/2012 03:42 pm - thannatos

The first one downloaded from the offcial website.
I tried the one on the PPA : doesn't works
In the USC : not in Precise, and I wonder where it is because I didn't found Ryzom for any Ubuntu release on packages.ubuntu.com

#5 - 03/31/2012 03:53 pm - kervala

thannatos wrote:

The first one downloaded from the offcial website.
I tried the one on the PPA : doesn't works
In the USC : not in Precise, and I wonder where it is because I didn't found Ryzom for any Ubuntu release on packages.ubuntu.com

You're using a non-standard path /usr/games/ryzom/, are you sure you have the permission to write in this directory ?

Actually, people are uncompressing it in their home folder.

Ubuntu versions (PPA or USC) are downloading data in ~/.ryzom/data

There is not yet a Precise version in USC but it's ready on private Canonical PPA, you just have to add : ppa:ryzom-isv/ppa and you'll get the Precise
version of Ubuntu client.

If it doesn't help, it could come from nouveau which is not yet very stable for games (I had a lot of visual problems) so you could try to switch to
proprietary nvidia driver.

#6 - 03/31/2012 03:59 pm - thannatos

You're using a non-standard path /usr/games/ryzom/, are you sure you have the permission to write in this directory ?

If I didn't have the permission, the game would crash on start, not after half an hour :)
I did sudo mv Desktop/ryzom /usr/games/ryzom && sudo chown ubuntu /var/games/ryzom if I remember well. But Ryzom used to crash twice a week
when it was on my Desktop

There is not yet a Precise version in USC but it's ready on private Canonical PPA, you just have to add : ppa:ryzom-isv/ppa and you'll get the
Precise version of Ubuntu client.

Missing files, the game freeze after the character selection.

If it doesn't help, it could come from nouveau which is not yet very stable for games (I had a lot of visual problems) so you could try to switch to
proprietary nvidia driver.
Never ! If I choose Ryzom, it's because it is OpenSource. I won't use a proprietary software ! ^^

#7 - 03/31/2012 04:23 pm - kervala

I see, if you want to help us, I don't see another way than using a Ryzom client with debug symbols and launching Ryzom with GDB. You could use the
version from my PPA https://launchpad.net/~kervala/+archive/ppa which provides -dbg packages for all binary packages. You have to install
ryzom-client-dbg and all other -dbg packages it needs, Next, you have to launch : gdb ryzom_client to debug it

When it'll crash you'll have the full backtrace.

Thanks :)

#8 - 04/02/2012 06:16 pm - thannatos
- File gdb.txt added

Nothing so usefull but to keep you up to date about my investigations...

Ryzom wasn't responding, gdb saw nothing, but the game froze. X server was normal, Compiz still work with desktop cube,etc, so only Ryzom
crashed.
As the crash which made me reporting this bug, it was while quartering a psykopla that Ryzom froze (I omitted this detail last time but if it crash twice
when quartering a same creature, it should have an importance now).

When Ryzom froze, I had a look to my processes. Neither Ryzom nor GDB was in top. In ps, I saw this anormal processor usage :
ps -aux | grep ryzom
ubuntu    6810 65.1  7.6 836776 634696 pts/1   tl   17:48   9:21 /usr/games/ryzom_client

#9 - 04/02/2012 07:26 pm - kervala

Hum, strange it didn't use /usr/lib/debug/usr/games/ryzom_client :( Are you sure you installed ryzom-client-dbg package ?

#10 - 04/02/2012 07:30 pm - thannatos

kervala wrote:

Hum, strange it didn't use /usr/lib/debug/usr/games/ryzom_client :( Are you sure you installed ryzom-client-dbg package ?

Yes, from the PPA ppa:kervala/ppa, I have these 11 packages installed :
libnel0
libnel0-dbg
libryzom-cliensheets0
libryzom-cliensheets0-dbg
libryzom-gameshare0
libryzom-gameshare0-dbg
ryzom-client
ryzom-client-config
ryzom-client-dbg
ryzom-client-tools
ryzom-client-tools-dgb

#11 - 04/02/2012 07:31 pm - thannatos

It uses this :

ubuntu@precise:~$ gdb ryzom_client
GNU gdb (Ubuntu/Linaro 7.4-2012.02-0ubuntu2) 7.4-2012.02
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying" 
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.launchpad.net/gdb-linaro/&gt;...
Reading symbols from /usr/games/ryzom_client...*Reading symbols from /usr/lib/debug/usr/games/ryzom_client...done.*

#12 - 04/14/2012 06:49 pm - thannatos

It seems that there is no bug, gdb returns nothing, X doesn't crash anymore...
In fact I change something, before I used Ryzom with Compiz. I disabled one plugin to avoid lags, but finally, in order to improve quality, I switched to
Metacity while playing Ryzom to use the full graphics effets and quality of the game, and there is no problem, except a little lag when exiting from
Yrkanis.
Sorry for the invalid bug.

#13 - 04/14/2012 08:44 pm - kervala
- Status changed from New to Rejected

Thanks for noticing us :)

Files
log.log 980.6 kB 03/31/2012 thannatos
client.log 979.7 kB 03/31/2012 thannatos
error_join.log 1.4 kB 03/31/2012 thannatos
gdb.txt 1.1 kB 04/02/2012 thannatos
